<?php
/*--------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: add_event.php
| Author: Terry Broullette (Grimloch)
| Web: https://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."event_cal_panel/infusion_db.php";
require_once INCLUDES."bbcode_include.php";
$settings = fusion_get_settings();
$aidlink = fusion_get_aidlink();
if (!checkrights("ECP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }
$event_pic = "";
$error = "";
add_to_head("<link rel='stylesheet' href='https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css'>");
add_to_head("<script src='https://code.jquery.com/jquery-1.10.2.js'></script>");
add_to_head("<script src='".INFUSIONS."event_cal_panel/include/jquery-ui.js'></script>");
add_to_head("<script>
         $(function() {
            $( '#datepicker-1' ).datepicker();
         });
         $(function() {
            $( '#datepicker-2' ).datepicker();
         });
</script>");

if(isset($_POST['save_event'])) {
	if(isset($_POST['title'])) {
		$event_title = stripinput($_POST['title']);
		} else { $event_title = ""; }
	if(isset($_POST['desc'])) {
		$event_desc = addslashes($_POST['desc']);
		} else { $event_desc = ""; }
	$url = explode("http://", $_POST['url']);
	if ($url[1]=="")
	{
		$link_url = "";
	} else {
		$link = ($url[1]);
		$link_url = $link;
	}
	if(isset($_POST['name'])) {
		$link_name = stripinput($_POST['name']);
		} else { $link_name = ""; }
/* start new save coding */
	if(isset($_POST['startdate'])) {
		$event_start = stripinput($_POST['startdate']);
	}
	if(isset($_POST['enddate'])) {
		$event_end = stripinput($_POST['enddate']);
	}
/* end new save coding */
	if(isset($_POST['stime'])) {
		$start_time = stripinput($_POST['stime']);
	} else { 	$start_time = ""; }
	if(isset($_POST['etime'])) {
		$end_time = stripinput($_POST['etime']);
	} else { 	$end_time = ""; }
	if(isset($_POST['all_day'])) {
		$all_day = stripinput($_POST['all_day']);
	} else { $all_day = ""; }

$part = $event_start;
$var = substr($part, 5, 2);
	if ($var == '01') { $mon = "1";
} elseif ($var == '02') { $mon = "2";
} elseif ($var == '03') { $mon = "3";
} elseif ($var == '04') { $mon = "4";
} elseif ($var == '05') { $mon = "5";
} elseif ($var == '06') { $mon = "6";
} elseif ($var == '07') { $mon = "7";
} elseif ($var == '08') { $mon = "8";
} elseif ($var == '09') { $mon = "9";
} else { $mon = $var; }
	$event_month = $mon;
	if ($mon == '1') { $mon_name = $locale['bp_900'];
} elseif ($mon == '2') { $mon_name = $locale['bp_901'];
} elseif ($mon == '3') { $mon_name = $locale['bp_902'];
} elseif ($mon == '4') { $mon_name = $locale['bp_903'];
} elseif ($mon == '5') { $mon_name = $locale['bp_904'];
} elseif ($mon == '6') { $mon_name = $locale['bp_905'];
} elseif ($mon == '7') { $mon_name = $locale['bp_906'];
} elseif ($mon == '8') { $mon_name = $locale['bp_907'];
} elseif ($mon == '9') { $mon_name = $locale['bp_908'];
} elseif ($mon == '10') { $mon_name = $locale['bp_909'];
} elseif ($mon == '11') { $mon_name = $locale['bp_910'];
} else { $mon_name = $locale['bp_911']; }
	$month_name = $mon_name;
$event_day = substr($part, 8, 2);

if(isset($_POST['upload']) && ($_POST['upload']) == "yes") {
	include INFUSIONS."event_cal_panel/include/upload_image.php";
} else {
$event_pic = "";
$event_thb = "";
}

$result = dbquery("INSERT INTO ".DB_EVENT_CAL_EVENTS." (event_title, event_desc, event_pic, event_thb, link_url, link_name, event_start, event_end, event_month, month_name, start_time, end_time, all_day, event_day) VALUES('".$event_title."', '".$event_desc."', '".$event_pic."', '".$event_thb."', '".$link_url."', '".$link_name."', '".$event_start."', '".$event_end."', '".$mon."', '".$mon_name."', '".$start_time."', '".$end_time."', '".$all_day."', '".$event_day."')");
}

opentable($locale['bp_300']);
echo "<form name='eventform' method='post' enctype='multipart/form-data' action='".FUSION_SELF.$aidlink."'>\n";
echo "<div align='center'><h2>".$locale['bp_311']."</h2></div><p><br />\n";
echo "<table width='70%' cellpadding='0' cellspacing='0' align='center' class='tbl-brdr3'><tr>\n";
echo "<td valign='top' width='294'>".$locale['bp_301']."*</td><td><input class='textbox' type='text' name='title' maxlength='100' style='width:400px;' /></td>\n";
echo "</tr><tr>\n";
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='middle'>".$locale['bp_302']."<br />".$locale['bp_302a']."</td><td><textarea class='textbox' name='desc' cols='58' rows='8'  style='width:98%'></textarea></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'>".$locale['bp_312']."</td><td>".display_bbcodes("98%", "desc", "eventform")."</td>\n";
echo "</tr><tr>\n";
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='middle'>".$locale['bp_312a']."</td>\n";
echo "<td><input type='radio' name='upload' value='yes' />&nbsp;&nbsp;".$locale['bp_322']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='upload' value='no' checked />&nbsp;&nbsp;".$locale['bp_321']."</td>\n";
echo "</tr><tr>\n";
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'>".$locale['bp_313a']."</td><td><input class='textbox' type='file' name='event_pic' maxlength='200' style='width:400px;' /></td>\n";
echo "</tr><tr>\n";
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'>".$locale['bp_303']."<br />".$locale['bp_304']."</td><td><input class='textbox' type='text' name='url' value='http://' maxlength='200' style='width:400px;' /></td>\n";
echo "</tr><tr>\n";
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'>".$locale['bp_305']."<br />".$locale['bp_306']."</td><td><input class='textbox' type='text' name='name' maxlength='200' style='width:400px;' /></td>\n";
echo "</tr><tr>\n";
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
/* start New datePicker coding */
echo "<td valign='top'>".$locale['bp_307']."</td><td><input type='text' name='startdate' id='datepicker-1'></td>\n";
echo "</tr><tr>\n";
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'>".$locale['bp_308']."</td><td><input type='text' name='enddate' id='datepicker-2'></td>\n";
echo "</tr><tr>\n";
/* end New datePicker coding */
echo "<td height='8' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'>".$locale['bp_317']."<br />".$locale['bp_318']."</td><td><input type='time' name='stime'>".$locale['bp_319']."<input type='time' name='etime'>".$locale['bp_320']."<input type='radio' name='all_day' value='yes' />".$locale['bp_322']."&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='all_day' value='no' />".$locale['bp_321']."</td>\n";
echo "</tr><tr>\n";
echo "<td height='18' colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='bottom' align='center' colspan='2'><p></p><input type='submit' name='save_event' class='button' value='".$locale['bp_309']."'></td>\n";
echo "</tr><tr>\n";
echo "<td height='12' colspan='2'></td>\n";
echo "</tr></table><br /><br />\n";
echo "<div align='center'><a class='button' href='".INFUSIONS."event_cal_panel/bday_manager.php'>".$locale['bp_502']."</a>&nbsp;&nbsp;&nbsp;&nbsp;<a class='button' href='".INFUSIONS."event_cal_panel/admin/calendar_admin.php".$aidlink."'>".$locale['bp_503']."</a></div>\n";
echo "</form>\n";
closetable();
require_once THEMES."templates/footer.php";
?>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 