<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Terry Broullette (Grimloch)
| Web: https://www.whisperwillow.net
| Email: webmaster@whisperwillow.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."event_cal_panel/infusion_db.php";

$inf_title = $locale['000_title'];
$inf_description = $locale['000_desc'];
$inf_version = $locale['000_ver'] ;
$inf_developer = "Terry Broullette(Grimloch)";
$inf_email = $locale['000_mail'];
$inf_weburl = $locale['000_url'];
$inf_folder = "event_cal_panel";
$inf_image = "event_cal.png";

$inf_newtable[] = DB_EVENT_CAL_MANAGER." (
bd_id int(10) unsigned not null auto_increment,
sho_pics tinyint(1) unsigned not null default '0',
image_folder varchar(30) not null default '',
sbg_color varchar(20) not null default '',
PRIMARY KEY  (bd_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_EVENT_CAL_EVENTS." (
event_id int(10) unsigned not null auto_increment,
event_title varchar(200) NOT NULL default '',
event_desc text NOT NULL,
event_pic varchar(100) NOT NULL default '',
link_url text NOT NULL,
link_name text NOT NULL,
event_start varchar(10) NOT NULL default '',
event_end varchar(10) NOT NULL default '',
event_month tinyint(2) unsigned not null default '0',
month_name varchar(9) NOT NULL default '',
start_time  varchar(8) not null default '',
end_time  varchar(8) not null default '',
all_day varchar(3) not null default 'no',
event_day tinyint(2) unsigned not null default '0',
PRIMARY KEY  (event_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_sitelink[] = [
	"title" => $locale['000_link'],
	"url" => "event_cal_manager.php",
	"visibility" => "-103"
    ];
$inf_sitelink[] = [
	"title" => $locale['001_link'],
	"url" => "calendar_year.php",
	"visibility" => "-101"
    ];
$inf_adminpanel[] = [
        "rights"   => "ECP",
        "image"    => $inf_image,
        "title"    => $locale['000_admin'],
        "panel"    => "admin/calendar_admin.php",
        "page"     => 5,
        'language' => LANGUAGE
    ];

// Infuse Actions
$inf_insertdbrow[] = DB_EVENT_CAL_MANAGER." (sho_pics, image_folder, sbg_color) VALUES('1','trees','khaki')";

// Defuse Actions
$inf_droptable[] = DB_EVENT_CAL_MANAGER;
$inf_droptable[] = DB_EVENT_CAL_EVENTS;
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights='ECP'";
$inf_deldbrow[] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";
$inf_deldbrow[] = DB_SITE_LINKS." WHERE link_url='infusions/event_cal_panel/event_cal_manager.php'";
$inf_deldbrow[] = DB_SITE_LINKS." WHERE link_url='infusions/event_cal_panel/calendar_year.php'";
$inf_deldbrow[] = DB_PANELS." WHERE panel_filename='event_cal_panel'";
?>