<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: Terry Broullette (Grimloch)
| Web: https://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Locale file
if (file_exists(INFUSIONS."event_cal_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."event_cal_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."event_cal_panel/locale/English.php";
}

// Stylesheet
add_to_head("<link rel='stylesheet' href='".INFUSIONS."event_cal_panel/css/calendar.css' type='text/css' />");

// Database
if (!defined("DB_EVENT_CAL_MANAGER")) {
	define("DB_EVENT_CAL_MANAGER", DB_PREFIX."event_cal_manager");
}
if (!defined("DB_EVENT_CAL_EVENTS")) {
	define("DB_EVENT_CAL_EVENTS", DB_PREFIX."event_cal_events");
}

// Image Paths
if(!defined("PICPATH")) {
define("PICPATH", INFUSIONS."event_cal_panel/img/");
}
if(!defined("THBPATH")) {
define("THBPATH", INFUSIONS."event_cal_panel/img/thb/");
}
?>