<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: English.php
| Author: Terry Broullette (grimloch)
| Web: https://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------*/
$settings = fusion_get_settings();

$locale['000_title'] = "Event Calendar";
$locale['000_desc'] = "Holidays &amp; Events";
$locale['000_link'] = "Slides Manager";
$locale['001_link'] = "Calendar Year Events";
$locale['000_ver'] = "2.00";
$locale['000_mail'] = "webmaster@whisperwillow.com";
$locale['000_url'] = "https://www.whisperwillow.com";
$locale['000_admin'] = "Calendar Admin";

$locale['bp_014'] = "Event Calendar";
$locale['bp_017'] = " - ";

$locale['bp_020'] = "No Events";
$locale['bp_021'] = "Events";
$locale['bp_022'] = "Scheduled Events";
$locale['bp_023'] = "No Scheduled Events in ";

$locale['bp_100'] = "Calendar Slideshow Manager";
$locale['bp_101'] = "Set Slideshow Images On or Off - Choose Image Folder - Set Calendar Background Color";
$locale['bp_102'] = "&nbsp;Calendar Slideshow Images:";
$locale['bp_103'] = "On";
$locale['bp_104'] = "Off";
$locale['bp_105'] = "&nbsp;Slideshow Image Folder:";
$locale['bp_106'] = "Submit";
$locale['bp_109'] = "&nbsp;Calendar BackGround Color:";
$locale['bp_111'] = "Choose BG Color";

$locale['bp_200'] = "Spring Season";
$locale['bp_201'] = "Summer Season";
$locale['bp_202'] = "Fall Season";
$locale['bp_203'] = "Winter Season";
$locale['bp_204'] = "Happy Easter";
$locale['bp_205'] = "Halloween";
$locale['bp_206'] = "Thanksgiving";
$locale['bp_207'] = "Merry Christmas";
$locale['bp_208'] = "Epic Trees";
$locale['bp_209'] = "Our World";
$locale['bp_210'] = "Famous Places";

$locale['bp_300'] = "Event Calendar Administration";
$locale['bp_301'] = "<b>Event Title:</b>";
$locale['bp_302'] = "<b>Event Description:</b>";
$locale['bp_302a'] = "<span style='font-size:11px'><i>( html tags are permissable )</i></span><br /><span style='font-size:11px'><i>Paragraph wrap:<br />&lt;p align='justify'&gt;your text&lt;/p&gt; = nice format</i></span>";
$locale['bp_303'] = "<b>Link URL:</b>";
$locale['bp_304'] = "<span style='font-size:11px'><i>( optional - remote event link )</i></span>";
$locale['bp_305'] = "<b>Link Name:</b>";
$locale['bp_306'] = "<span style='font-size:11px'><i>( optional - remote event link name )</i></span>";
$locale['bp_307'] = "<b>Start Date: (click input box)</b>";
$locale['bp_308'] = "<b>End Date: (click input box)</b>";
$locale['bp_309'] = "Submit Event";
$locale['bp_310'] = "Delete Event";
$locale['bp_310a'] = "Delete Event?";
$locale['bp_310b'] = "Cancel Event Deletion";
$locale['bp_311'] = "Schedule An Event";
$locale['bp_312'] = "<b>BB Codes:</b>";
$locale['bp_312a'] = "<b>Upload Image ?</b>";
$locale['bp_313'] = "none";
$locale['bp_313a'] = "<b>Select Image:</b>";
$locale['bp_314'] = "Edit An Event";
$locale['bp_315'] = "Delete An Event";
$locale['bp_316'] = "Edit Event";
$locale['bp_317'] = "<b>Time Span:</b>";
$locale['bp_318'] = "<span style='font-size:11px'><i>Example - 09:30 AM To 06:45 PM</i></span>";
$locale['bp_319'] = " to ";
$locale['bp_320'] = " (<b>OR</b>) All Day - ";
$locale['bp_321'] = " <b>No</b>";
$locale['bp_322'] = " <b>Yes</b>";
$locale['bp_323'] = "Select An Administrative Function";
$locale['bp_324'] = "Add An Event";
$locale['bp_325'] = "Select Month &amp; Year to View Events";
$locale['bp_326'] = "Submit - View Monthly Events";
$locale['bp_327'] = "View All Events";
$locale['bp_328'] = "Get Holidays For Selected Year";
$locale['bp_329'] = "Holiday Viewer For Selected Year";
$locale['bp_330'] = "Select Year For Holiday Calculations";
$locale['bp_331'] = "Major Holidays For ";
$locale['bp_332'] = "Observed Dates";
$locale['bp_333'] = "<span style='font-size:11px; color:white;'>Holiday</span>";
$locale['bp_334'] = "<span style='font-size:11px; color:white;'>Observed</span>";
$locale['bp_335'] = "Actual Dates";
$locale['bp_336'] = "<span style='font-size:11px; color:white;'>Actual</span>";
$locale['bp_337'] = "<b>Event Day:</b>";
$locale['bp_338'] = "<b>Event Image</b>";

$locale['bp_400'] = "Calendar Event List";
$locale['bp_401'] = "Scheduled Events In ";
$locale['bp_402'] = "Event Title";
$locale['bp_403'] = "Description";
$locale['bp_404'] = "Link Name";
$locale['bp_405'] = "Start";
$locale['bp_405a'] = "Starts: ";
$locale['bp_406'] = "End";
$locale['bp_406a'] = "Ends: ";
$locale['bp_407'] = "Options";
$locale['bp_408'] = "Edit";
$locale['bp_409'] = "Delete";
$locale['bp_410'] = "Events Administration";
$locale['bp_411'] = "Time Span";
$locale['bp_411a'] = "Time: ";
$locale['bp_412'] = "Event Link";
$locale['bp_413'] = "Month";

$locale['bp_500'] = "Event Calendar Viewer";
$locale['bp_501'] = "Holiday or Event";
$locale['bp_502'] = "Slides Manager";
$locale['bp_503'] = "Calendar Admin";
$locale['bp_504'] = "No Events on This Day";
$locale['bp_505'] = "No Events in ";
$locale['bp_506'] = "Calendar Events For ".date('Y')."";
$locale['bp_507'] = "Month View With Scheduled Events";
$locale['bp_507a'] = "Scheduled Events";
$locale['bp_508'] = "Calendar Month";
$locale['bp_509'] = " All day on ";
$locale['bp_510'] = "All Day";
$locale['bp_511'] = " to ";
$locale['bp_512'] = " on ";
$locale['bp_513'] = "Calendar Year";
$locale['bp_514'] = "Click For Year View";
$locale['bp_515'] = "Month Viewer";
$locale['bp_516'] = "Back To Month View";

$locale['bp_650'] = "Month";
$locale['bp_651'] = "Day";
$locale['bp_652'] = "Year";
$locale['bp_653'] = "Time";
$locale['bp_654'] = "&nbsp;&laquo; Prev Month&nbsp;";
$locale['bp_655'] = "&nbsp;Next Month &raquo;&nbsp;";
$locale['bp_656'] = "&nbsp;Today";
$locale['bp_657'] = "&nbsp;&laquo; Prev Year&nbsp;";
$locale['bp_658'] = "&nbsp;Next Year &raquo;&nbsp;";
$locale['bp_659'] = "Last Month";
$locale['bp_660'] = "Next Month";

$locale['bp_900'] = "January";
$locale['bp_901'] = "February";
$locale['bp_902'] = "March";
$locale['bp_903'] = "April";
$locale['bp_904'] = "May";
$locale['bp_905'] = "June";
$locale['bp_906'] = "July";
$locale['bp_907'] = "August";
$locale['bp_908'] = "September";
$locale['bp_909'] = "October";
$locale['bp_910'] = "November";
$locale['bp_911'] = "December";

$locale['bp_920'] = "Today";

$locale['bp_1000'] = "<span style='color:black;'>Copyright &copy; 2022 - <a class='foot' href='https://www.whisperwillow.com' target='_blank'>WhisperWillow PHP-Fusion Mod Support</a> - All Rights Reserved</span>";
?>