<?php
/*--------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: view_events.php
| Author: Terry Broullette (Grimloch)
| Web: https://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."event_cal_panel/infusion_db.php";
require_once INCLUDES."bbcode_include.php";

if (isset($_GET['event_id'])) {
$event_id = $_GET['event_id'];
opentable($locale['bp_500']);
$events = dbquery("SELECT * FROM ".DB_EVENT_CAL_EVENTS." WHERE event_id='$event_id'");
}
if (dbrows($events)) {
	while ($data = dbarray($events)) {
		$ev_id = $data['event_id'];
		$title = $data['event_title'];
		$desc = stripslashes(html_entity_decode(parseubb(parsesmileys($data['event_desc']))));
		$img = $data['event_pic'];
		$link = $data['link_url'];
		$name = $data['link_name'];
		$sdate = $data['event_start'];
		$dt1 = new DateTime($sdate);
		$edate = $data['event_end'];
		$dt2 = new DateTime($edate);
		$stime = $data['start_time'];
		$etime = $data['end_time'];
	if ($data['all_day'] == 'yes') {
		$tspan = $locale['bp_510'];
		} else {
		$tspan = $locale['bp_512'];
		}
	if ($stime) {
		$time_span = $stime.$locale['bp_511'].$etime;
		} else {
		$time_span = $tspan;
		}
	echo "<p></p><table align='center' width='90%' border='0' cellspacing='0' cellpadding='0' class='tbl-brdr1'><tr>\n";
	echo "<td align='center'><img src='".INFUSIONS."event_cal_panel/images/events1.png' style='max-width:90%;height:auto;' alt=''></td></tr>\n";
	echo "<tr><td><h2><b>$title</b></h2></td></tr>\n";
	echo "<tr><td width='100%'><table width='100%' cellpadding='0' cellspacing='0' border='1'><tr>\n";
if ($img) {
	echo "<td align='center' class='cal5a' width='150'><img src='".PICPATH."$img' style='max-width:100%;height:auto;' alt=''><p></td><td align='left' class='cal6'>$desc</td></tr>\n";
} else {
	echo "<td align='left' class='cal5a' width='80'><b>".$locale['bp_403']."</b>&nbsp;&nbsp;</td><td align='left' class='cal6'>$desc</td></tr>\n";
}
	echo "</table></td></tr><tr><td width='100%'><table width='100%' cellpadding='0' cellspacing='0' border='0'><tr class='cal3a'>\n";
	echo "<td width='15%'>&nbsp;<b>".$locale['bp_405a']."".$dt1->format('M d')."</b></td><td width='15%'><b>".$locale['bp_406a']."".$dt2->format('M d')."</b></td><td width='70%'><b>".$locale['bp_411a']."$time_span</b></td>\n";

if ($link) {
	echo "</tr><tr class='cal3a'>\n";
	echo "<td>&nbsp;".$locale['bp_412']."&nbsp;&nbsp;</td><td><a href='http://$link' target='_blank'>$name</a></td><td></td>\n";
}
	echo "</tr></table></td>\n";
if (iADMIN) {
	echo "</tr><tr><td colspan='2' height='8'></td></tr>\n";
	echo "<tr><td align='center' colspan='2'>|&nbsp;<a class='caldate2' href='".INFUSIONS."event_cal_panel/bday_manager.php'>".$locale['bp_502']."</a>&nbsp;|&nbsp;<a class='caldate2' href='".INFUSIONS."event_cal_panel/admin/calendar_admin.php".$aidlink."'>".$locale['bp_503']."</a>&nbsp;|&nbsp;<a class='caldate2' href='".INFUSIONS."event_cal_panel/admin/edit_event.php".$aidlink."&event_id=$ev_id'>".$locale['bp_316']."</a>&nbsp;|&nbsp;<a class='caldate2' href='".INFUSIONS."event_cal_panel/admin/delete_event.php".$aidlink."&event_id=$ev_id'>".$locale['bp_310']."</a>&nbsp;|</td>\n";
		}
	echo "</tr></table>\n";
	}
} else {
	echo "<div align='center'>No Events Scheduled</div>\n";
}
closetable();
require_once THEMES."templates/footer.php";
?>