<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: calendar_admin.php
| Author: Terry Broullette (Grimloch)
| Web: https://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."event_cal_panel/infusion_db.php";
if (!checkrights("ECP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

opentable($locale['bp_300']);
$pyr = ""; $code = "";
echo "<div align='center'><h3><u>".$locale['bp_323']."</u></h3></div><p><br /></p>\n";
if(isset($_POST['view_events'])) {
	if(isset($_POST['code'])) {
		$code = stripinput($_POST['code']);
	}
	if(isset($_POST['pyr'])) {
		$year = stripinput($_POST['pyr']);
	}
redirect (INFUSIONS."event_cal_panel/event_schedule.php?code=$code&year=$year");
}
echo "<form name='eventform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' align='center' class='tbl-brdr3'><tr>\n";
echo "<td align='center' valign='top' colspan='3'><a class='mcal2' href='".INFUSIONS."event_cal_panel/admin/add_event.php".$aidlink."'>&nbsp;".$locale['bp_324']."</a></td>\n";
echo "</tr><tr>\n";
echo "<td height='12'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' valign='top' colspan='3'><a class='mcal2' href='".INFUSIONS."event_cal_panel/browse_events.php'>&nbsp;".$locale['bp_327']."</a></td>\n";
echo "</tr><tr>\n";
echo "<td height='12'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' valign='top' colspan='3'><a class='mcal2' href='".INFUSIONS."event_cal_panel/get_holidays.php'>&nbsp;".$locale['bp_328']."</a></td>\n";
echo "</tr><tr>\n";
echo "<td height='12'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='middle'><span class='mcal2'>&nbsp;".$locale['bp_325']."</span></td><td>&nbsp;<select class='textbox' name='code'>
	<option value=''>".$locale['bp_650']."</option>
	<option value='1'>".$locale['bp_900']."</option>
	<option value='2'>".$locale['bp_901']."</option>
	<option value='3'>".$locale['bp_902']."</option>
	<option value='4'>".$locale['bp_903']."</option>
	<option value='5'>".$locale['bp_904']."</option>
	<option value='6'>".$locale['bp_905']."</option>
	<option value='7'>".$locale['bp_906']."</option>
	<option value='8'>".$locale['bp_907']."</option>
	<option value='9'>".$locale['bp_908']."</option>
	<option value='10'>".$locale['bp_909']."</option>
	<option value='11'>".$locale['bp_910']."</option>
	<option value='12'>".$locale['bp_911']."</option>
</select></td>\n";
echo "<td valign='top'><select class='textbox' name='pyr'>\n<option value=''>".$locale['bp_652']."</option>\n";
for ($bi = date("Y")+6; $bi > (date("Y") - 99); $bi--) {
echo "<option value='".$bi."'".($pyr == $bi ? " selected='selected'" : "").">".$bi."</option>\n"; }
echo "</select></td>\n";
echo "</tr></table><br />\n";
echo "<div align='center'><input type='submit' name='view_events' class='button' value='".$locale['bp_326']."'></div>\n";
echo "</form>\n";
closetable();
require_once THEMES."templates/footer.php";
?>