<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: bday_panel/locale/Danish.php
| Author: Helmuth Mikkelsen (helmuth)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
$settings = fusion_get_settings();

$locale['000_title'] = "Begivenhedskalender";
$locale['000_desc'] = "Fødselsdage &amp; Begivenheder";
$locale['000_link'] = "Slides Manager";
$locale['001_link'] = "Kalenderårs begivenheder";
$locale['000_ver'] = "1.01";
$locale['000_mail'] = "webmaster@whisperwillow.com";
$locale['000_url'] = "https://www.whisperwillow.com";
$locale['000_admin'] = "Kalender Admin";

$locale['bp_014'] = "Begivenhedskalender";
$locale['bp_015'] = "Ingen fødselsdage";
$locale['bp_016'] = "Fødselsdage";
$locale['bp_017'] = " - ";

$locale['bp_020'] = "Ingen begivenheder";
$locale['bp_021'] = "Begivenheder";
$locale['bp_022'] = "Planlagte begivenheder";
$locale['bp_023'] = "Ingen planlagte begivenheder i";

$locale['bp_050'] = "Hej ";
$locale['bp_051'] = "På vegne af medlemmer og personale vil vi gerne benytte lejligheden til at ønske dig en rigtig god og glædelig fødselsdag!<br />Du er ikke et år ældre, men et år klogere.<br />Med venlig hilsen<br / >Ledelsen.<br /><br /><small>Automatisk meddelelse - svar ikke!</small>";
$locale['bp_052'] = "Besked fra ".$settings['sitename']." Admin";

$locale['bp_100'] = "Kalender Slideshow Manager";
$locale['bp_101'] = "Sæt diasshowbilleder til eller fra - Vælg billedmappe - Indstil kalenderbaggrundsfarve";
$locale['bp_102'] = "&nbsp;Kalender Slideshow Billeder:";
$locale['bp_103'] = "Til";
$locale['bp_104'] = "Fra";
$locale['bp_105'] = "&nbsp;Slideshow Billedfolder:";
$locale['bp_106'] = "Indsend";
$locale['bp_109'] = "&nbsp;Kalender baggrundsfarve:";
$locale['bp_111'] = "Vælg baggrundsfarve";

$locale['bp_200'] = "Forår";
$locale['bp_201'] = "Sommer";
$locale['bp_202'] = "Efterår";
$locale['bp_203'] = "Vinter";
$locale['bp_204'] = "God påske";
$locale['bp_205'] = "Halloween";
$locale['bp_206'] = "Thanksgiving";
$locale['bp_207'] = "Glædelig jul";
$locale['bp_208'] = "Episke træer";
$locale['bp_209'] = "Vores verden";
$locale['bp_210'] = "Berømte steder";

$locale['bp_300'] = "Begivenhedskalender Administration";
$locale['bp_301'] = "<b>Begivenhedstitel:</b>";
$locale['bp_302'] = "<b>Begivenhedsbeskrivelse:</b>";
$locale['bp_302a'] = "<span style='font-size:11px'><i>( html tags er tilladt )</i></span><br /><span style='font-size:11px'><i>Afsnit wrap:<br />&lt;p align='justify'&gt;din tekst&lt;/p&gt; = flot format</i></span>";
$locale['bp_303'] = "<b>Link URL:</b>";
$locale['bp_304'] = "<span style='font-size:11px'><i>(valgfrit - link til fjernbegivenheder )</i></span>";
$locale['bp_305'] = "<b>Linknavn:</b>";
$locale['bp_306'] = "<span style='font-size:11px'><i>( valgfrit - navn på fjernbegivenhedslink )</i></span>";
$locale['bp_307'] = "<b>Startdato: (klik input boks)</b>";
$locale['bp_308'] = "<b>End Date: (klik input boks)</b>";
$locale['bp_309'] = "Indsend begivenhed";
$locale['bp_310'] = "Slet Event";
$locale['bp_310a'] = "Delete begivenhed?";
$locale['bp_310b'] = "Fortryd sletning af begivenhed";
$locale['bp_311'] = "Planlæg en begivenhed";
$locale['bp_312'] = "<b>BB-koder:</b>";
$locale['bp_313'] = "ingen";
$locale['bp_314'] = "Rediger en begivenhed";
$locale['bp_315'] = "Slet en begivenhed";
$locale['bp_316'] = "Rediger begivenhed";
$locale['bp_317'] = "<b>Tidsperiode:</b>";
$locale['bp_318'] = "<span style='font-size:11px'><i>Eksempel - 09:30 til 18:45</i></span>";
$locale['bp_319'] = " til ";
$locale['bp_320'] = " (<b>ELLER</b>) Hele dagen - ";
$locale['bp_321'] = " Nej";
$locale['bp_322'] = " Ja";
$locale['bp_323'] = "Vælg en administrativ funktion";
$locale['bp_324'] = "Tilføj en begivenhed";
$locale['bp_325'] = "Vælg måned &amp; &r for at se begivenheder";
$locale['bp_326'] = "Send - Se månedlige begivenheder";
$locale['bp_327'] = "Se alle begivenheder";
$locale['bp_328'] = "Hent ferie for det valgte år";
$locale['bp_329'] = "Feriefremviser for udvalgt år";
$locale['bp_330'] = "Vælg år for ferieberegninger";
$locale['bp_331'] = "Ferie for ";
$locale['bp_332'] = "Observerede helligdage";
$locale['bp_333'] = "<span style='font-size:11px; color:white;'>Helligdag</span>";
$locale['bp_334'] = "<span style='font-size:11px; color:white;'>Observeret dato</span>";
$locale['bp_335'] = "Faktiske feriedatoer";
$locale['bp_336'] = "<span style='font-size:11px; color:white;'>Dato</span>";
$locale['bp_337'] = "<b>Begivenhedsdag:</b>";
$locale['bp_338'] = "s fødselsdag";
$locale['bp_339'] = "Til lykke med fødselsdagen ";

$locale['bp_400'] = "Kalenderbegivenhedsliste";
$locale['bp_401'] = "Planlagte begivenheder i ";
$locale['bp_402'] = "Begivenhedstitel";
$locale['bp_403'] = "Beskrivelse";
$locale['bp_404'] = "Linknavn";
$locale['bp_405'] = "Start";
$locale['bp_405a'] = "Starter: ";
$locale['bp_406'] = "Slut";
$locale['bp_406a'] = "Slutter: ";
$locale['bp_407'] = "Valgmuligheder";
$locale['bp_408'] = "Rediger";
$locale['bp_409'] = "Slet";
$locale['bp_410'] = "Beginheds Administration";
$locale['bp_411'] = "Tidsperiode";
$locale['bp_411a'] = "Tid: ";
$locale['bp_412'] = "BegivenhedsLink";
$locale['bp_413'] = "Måned";

$locale['bp_500'] = "Begivenhedskalenderfremviser";
$locale['bp_501'] = "Planlagt begivenhed - ";
$locale['bp_502'] = "Slides Manager";
$locale['bp_503'] = "Kalender Admin";
$locale['bp_504'] = "Ingen begivenheder på denne dag";
$locale['bp_505'] = "Inegn begivenheder i ";
$locale['bp_506'] = "Kalenderbegivenhder for ".date('Y')."";
$locale['bp_507'] = "Månedsvisning med planlagte begivenheder";
$locale['bp_507a'] = "Planlagte begivenheder";
$locale['bp_508'] = "Kalendermåned";
$locale['bp_509'] = " Hele dagen d. ";
$locale['bp_510'] = "Hele dagen";
$locale['bp_511'] = " til ";
$locale['bp_512'] = " d. ";
$locale['bp_513'] = "Kalenderår";
$locale['bp_514'] = "Klik for årsvisning";
$locale['bp_515'] = "Månedsviser";
$locale['bp_516'] = "Tilbage til månedsvisning";

$locale['bp_600'] = " Fødselsdagskalenderfremviser";
$locale['bp_601'] = "Medlems fødselsdag - ";
$locale['bp_602'] = "De bedste ønsker for en glædelig fødselsdag ";
$locale['bp_603'] = "Til lykke med fødselsdagen ";

$locale['bp_650'] = "Måned";
$locale['bp_651'] = "Dag";
$locale['bp_652'] = "&r";
$locale['bp_653'] = "Tid";
$locale['bp_654'] = "&nbsp;&laquo; Forrige måned&nbsp;";
$locale['bp_655'] = "&nbsp;Næste måned &raquo;&nbsp;";
$locale['bp_656'] = "&nbsp;I dag";
$locale['bp_657'] = "&nbsp;&laquo; Forrige år&nbsp;";
$locale['bp_658'] = "&nbsp;Næste år &raquo;&nbsp;";
$locale['bp_659'] = "Forrige måned";
$locale['bp_660'] = "Næste måned";

$locale['bp_900'] = "Januar";
$locale['bp_901'] = "Februar";
$locale['bp_902'] = "Marts";
$locale['bp_903'] = "April";
$locale['bp_904'] = "Maj";
$locale['bp_905'] = "Juni";
$locale['bp_906'] = "Juli";
$locale['bp_907'] = "August";
$locale['bp_908'] = "September";
$locale['bp_909'] = "Oktober";
$locale['bp_910'] = "November";
$locale['bp_911'] = "December";

$locale['bp_920'] = "I dag";

$locale['bp_1000'] = "<span style='color:black;'>Copyright &copy; 2018 - <a class='foot' href='https://www.whisperwillow.com' target='_blank'>WhisperWillow PHP-Fusion Mod Support</a> - All Rights Reserved</span>";
?>